> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save summaries

> Save new (or update existing) summaries



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/summaries
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/summaries:
    post:
      tags:
        - Summaries
      summary: Save summaries
      description: Save new (or update existing) summaries
      operationId: postSummaries
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MultiParamSummaryPostDto'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseSummaryGetDto'
        '207':
          description: Some summaries failed to save. See response body for error details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseSummaryGetDto'
        '400':
          description: All summaries failed to save.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseSummaryGetDto'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    MultiParamSummaryPostDto:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/SummaryPostDto'
    ResponseListMultiResponseSummaryGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/MultiResponseSummaryGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    SummaryPostDto:
      required:
        - date
        - summary
      type: object
      properties:
        id:
          type: string
          description: Id of the summary, required when updating an existing summary
          example: sum_123456789
        summary:
          type: string
          description: Content of the summary
          nullable: false
          example: Monthly financial summary for January 2024
        date:
          type: string
          description: Date of the summary (must be first of the month)
          format: date
          nullable: false
          example: '2025-01-01'
        status:
          type: string
          description: Status of the summary
          nullable: false
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
    MultiResponseSummaryGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        statusCode:
          $ref: '#/components/schemas/HttpStatus'
        data:
          $ref: '#/components/schemas/SummaryGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    HttpStatus:
      type: integer
      description: The HTTP status code for the action performed.
      format: int32
      enum:
        - 200
        - 400
        - 401
        - 403
        - 404
        - 500
    SummaryGetDto:
      required:
        - company
        - conversation
        - date
        - id
        - status
        - summary
      type: object
      properties:
        id:
          type: string
          description: Id of the summary, required when updating an existing summary
          example: sum_123456789
        summary:
          type: string
          description: Content of the summary
          example: Monthly financial summary for January 2024
        date:
          type: string
          description: Date of the summary (must be first of the month)
          format: date
          example: '2025-01-01'
        status:
          type: string
          description: Status of the summary
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        conversation:
          $ref: '#/components/schemas/ConversationExpanded'
        company:
          $ref: '#/components/schemas/CompanyExpanded'
      description: The data generated by the action performed.
    ConversationExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the conversation
        readStatus:
          type: string
          description: Read status of the conversation for the authenticated user
          enum:
            - READ
            - UNREAD
      description: The conversation associated with this entity
      nullable: true
    CompanyExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the company
          example: co_123456
        name:
          type: string
          description: Name of the company
          example: ACME Corp
      description: >-
        Company associated with this agent context. Only present for accountant
        and partner sessions.
      nullable: true
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````